Page MenuHomePhabricator

Create Mon Wikipedia
Closed, ResolvedPublic

Description

The language committee has approved the creation of the Mon Wikipedia:

Request page: https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Mon
Language code: mnw
Site URL: mnw.wikipedia.org
Project name: ဝဳကဳပဳဒဳယာ
Project namespace: ဝဳကဳပဳဒဳယာ
Project talk namespace: ဝဳကဳပဳဒဳယာ_ဓရီုကျာ (default)
Project logo: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-mnw.svg
Timezone: Asia/Rangoon

Extra namespaces: 100 => ပါင်မုက် (Portal), 101 => ပါင်မုက်_ဓရီုကျာ (Portal talk).

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd mnwwiki to wikiversions.json
operations/mediawiki-config : masterInitial configuration for mnwwiki
operations/dns : masterAdd Mon (mnw) language

Event Timeline

jhsoby created this task.Oct 17 2019, 10:25 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 17 2019, 10:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 543842 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Initial configuration for mnwwiki

https://gerrit.wikimedia.org/r/543842

jhsoby updated the task description. (Show Details)Oct 17 2019, 2:42 PM

Project talk namespace should be ဝဳကဳပဳဒဳယာ_ဓရီုကျာ

Project talk namespace should be ဝဳကဳပဳဒဳယာ_ဓရီုကျာ

Yes, right. I don't know how that happened – I must have made an error copypasting.

jhsoby updated the task description. (Show Details)Oct 17 2019, 3:52 PM
Dcljr added a subscriber: Dcljr.EditedOct 18 2019, 1:32 AM

Just a heads-up: The last wiki created, banwiki, has had issues with imported pages not showing up in categories. A null edit fixes the problem for each affected page. This seems to suggest that importing was done before the wiki was properly configured to recognize the local prefix "Kategori:" as equivalent to "Category:". If this is the case, we should be careful to prevent this from happening again with mnwwiki (and in the future).

Just a heads-up: The last wiki created, banwiki, has had issues with imported pages not showing up in categories. A null edit fixes the problem for each affected page. This seems to suggest that importing was done before the wiki was properly configured to recognize the local prefix "Kategori:" as equivalent to "Category:". If this is the case, we should be careful to prevent this from happening again with mnwwiki (and in the future).

Duly noted. For banwiki I imported everything within an hour of the wiki's creation, so it's very likely that something wasn't quite ready yet (although, the configuration for the namespaces was there from the start). I'll wait a bit longer next time. :-)

@jhsoby Do you plan to do the DNS thingie too? See https://wikitech.wikimedia.org/wiki/Add_a_wiki#DNS for details.

AueNai added a subscriber: AueNai.Fri, Oct 18, 10:15 PM
jhsoby added a comment.EditedSat, Oct 19, 9:15 PM

@jhsoby Do you plan to do the DNS thingie too? See https://wikitech.wikimedia.org/wiki/Add_a_wiki#DNS for details.

I wasn't planning to. From that description it seems like the only thing I could do is to add the language to langlist.tmpl – everything else would have to be done by someone with more permissions than I have. So I don't know if there's much point in me doing that one addition?

There is, it's always done that way during wiki creation ;).

Change 544325 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/dns@master] Add Mon (mnw) language

https://gerrit.wikimedia.org/r/544325

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Mon, Oct 21, 12:12 PM

Change 544325 merged by Dzahn:
[operations/dns@master] Add Mon (mnw) language

https://gerrit.wikimedia.org/r/544325

Mentioned in SAL (#wikimedia-operations) [2019-10-22T18:09:29Z] <mutante> DNS - added new Wikipedia language "mnw" (Mon) T235739 - a language spoken in Myanmar

Dzahn added a subscriber: Dzahn.Tue, Oct 22, 6:10 PM
  • mnw.wikipedia.org is an alias for dyna.wikimedia.org.

Okay, given that T235740: Localize namespaces for Mon is not deployed yet. Let's start working on it after wmf.3 being deployed everywhere. Hopefully next Monday. What do you think @Urbanecm?

Okay, given that T235740: Localize namespaces for Mon is not deployed yet. Let's start working on it after wmf.3 being deployed everywhere. Hopefully next Monday. What do you think @Urbanecm?

Agreed.

Urbanecm triaged this task as Low priority.Wed, Oct 23, 7:03 AM
Urbanecm moved this task from Working on to Wikis ready for creation on the User-Urbanecm board.

Change 543842 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for mnwwiki

https://gerrit.wikimedia.org/r/543842

Change 548251 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add mnwwiki to wikiversions.json

https://gerrit.wikimedia.org/r/548251

Change 548251 merged by jenkins-bot:
[operations/mediawiki-config@master] Add mnwwiki to wikiversions.json

https://gerrit.wikimedia.org/r/548251

Mentioned in SAL (#wikimedia-operations) [2019-11-04T13:12:00Z] <ladsgroup@deploy1001> rebuilt and synchronized wikiversions files: T235739

Mentioned in SAL (#wikimedia-operations) [2019-11-04T13:13:02Z] <ladsgroup@deploy1001> Synchronized multiversion/MWMultiVersion.php: T235739 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-11-04T13:14:15Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T235739 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-11-04T13:15:28Z] <ladsgroup@deploy1001> Synchronized static/images/project-logos/: T235739 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-11-04T13:16:41Z] <ladsgroup@deploy1001> Synchronized langlist: T235739 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-11-04T13:20:13Z] <Amir1> Creating Mon Wikipedia is done T235739

Ladsgroup closed this task as Resolved.Mon, Nov 4, 1:21 PM
Ladsgroup claimed this task.

The wiki is live now. Create tasks for the remaining bits like CX, Parsoid, wikidata, etc.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMon, Nov 4, 1:21 PM
Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.Mon, Nov 4, 2:15 PM